#Tomcat端口
server:
  port: 9605

# broker监听端口
mqtt:
  server:
    port: 1883                  # MQTT端口，默认：1883
    web-port: 8083              # http、websocket 端口，默认：8083

#broker相关配置
broker:
  #客户端ClientId白名单，不进行接入校验,多个ClientId用逗号隔开
  whitelist: Test123,Test234,Test256
  #设备接入状态推送
  connectStatus:
    enable: true  #是否启用设备连接状态推送
    topic: /device/status/v1  #设备连接状态推送主题

# Spring
spring:
  application:
    # 应用名称
    name: hw-mqtt-broker
  profiles:
    # 环境配置
    active: dev
  cloud:
    nacos:
      discovery:
        # 服务注册地址
        server-addr: localhost:8848
      config:
        # 配置中心地址
        server-addr: localhost:8848
        # 配置文件格式
        file-extension: yml
        # 共享配置
        shared-configs:
          - application-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
